2.6.3 crashes

classic Classic list List threaded Threaded
12 messages Options
Reply | Threaded
Open this post in threaded view
|

2.6.3 crashes

Laura Conrad

I was getting this error when building from CVS, but I have now
installed the autopackage and am getting the same error.  

Attached is the log from running "lilypond twinkle-pop.ly".  This is
on a Debian Sid system.  Autopackage is installed as a user, but I've
gotten the same error running the cvs 2.6.3.  It seems to happen on
all the lilypond files I've tried.



--
Laura (mailto:[hidden email] , http://www.laymusic.org/ )
(617) 661-8097 fax: (501) 641-5011
233 Broadway, Cambridge, MA 02139

I lost mail from Friday, August 5 to Sunday August 7, so if you sent
me anything then, you'll have to resend.

_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel

lily.log (15K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Laura Conrad
>>>>> "LC" == Laura Conrad <[hidden email]> writes:

    LC> I was getting this error when building from CVS, but I have now
    LC> installed the autopackage and am getting the same error.  

    LC> Attached is the log from running "lilypond twinkle-pop.ly".  This is
    LC> on a Debian Sid system.  Autopackage is installed as a user, but I've
    LC> gotten the same error running the cvs 2.6.3.  It seems to happen on
    LC> all the lilypond files I've tried.


This is still happening on last night's CVS.  Is it just me?  If so,
does anyone have any ideas about what's wrong with my setup?

--
Laura (mailto:[hidden email] , http://www.laymusic.org/ )
(617) 661-8097 fax: (501) 641-5011
233 Broadway, Cambridge, MA 02139



_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Erik Sandberg
On Sunday 14 August 2005 18.55, Laura Conrad wrote:

> >>>>> "LC" == Laura Conrad <[hidden email]> writes:
>
>     LC> I was getting this error when building from CVS, but I have now
>     LC> installed the autopackage and am getting the same error.
>
>     LC> Attached is the log from running "lilypond twinkle-pop.ly".  This
> is LC> on a Debian Sid system.  Autopackage is installed as a user, but
> I've LC> gotten the same error running the cvs 2.6.3.  It seems to happen
> on LC> all the lilypond files I've tried.
>
>
> This is still happening on last night's CVS.  Is it just me?  If so,
> does anyone have any ideas about what's wrong with my setup?

I'm just guessing now, but it could be that lily is reading the data files
(scm/ and ly/) from a previously installed version.

You could experiment with adding a test user, install the autopackage locally
as that user, and shuffle paths around.

Erik


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Laura Conrad
>>>>> "ES" == Erik Sandberg <[hidden email]> writes:

    LC> Attached is the log from running "lilypond twinkle-pop.ly".  This
    >> is LC> on a Debian Sid system.  Autopackage is installed as a user, but
    >> I've LC> gotten the same error running the cvs 2.6.3.  It seems to happen
    >> on LC> all the lilypond files I've tried.
    >>
    >>
    >> This is still happening on last night's CVS.  Is it just me?  If so,
    >> does anyone have any ideas about what's wrong with my setup?

    ES> I'm just guessing now, but it could be that lily is reading the data files
    ES> (scm/ and ly/) from a previously installed version.

    ES> You could experiment with adding a test user, install the autopackage locally
    ES> as that user, and shuffle paths around.

I've done the autopackage part; what kind of shuffling would you
recommend?

--
Laura (mailto:[hidden email] , http://www.laymusic.org/ )
(617) 661-8097 fax: (501) 641-5011
233 Broadway, Cambridge, MA 02139


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Erik Sandberg
On Monday 15 August 2005 05.32, Laura Conrad wrote:

> >>>>> "ES" == Erik Sandberg <[hidden email]> writes:
>
>     LC> Attached is the log from running "lilypond twinkle-pop.ly".  This
>
>     >> is LC> on a Debian Sid system.  Autopackage is installed as a user,
>     >> but I've LC> gotten the same error running the cvs 2.6.3.  It seems
>     >> to happen on LC> all the lilypond files I've tried.
>     >>
>     >>
>     >> This is still happening on last night's CVS.  Is it just me?  If so,
>     >> does anyone have any ideas about what's wrong with my setup?
>
>     ES> I'm just guessing now, but it could be that lily is reading the
> data files ES> (scm/ and ly/) from a previously installed version.
>
>     ES> You could experiment with adding a test user, install the
> autopackage locally ES> as that user, and shuffle paths around.
>
> I've done the autopackage part; what kind of shuffling would you
> recommend?

~/.local/bin/ could be moved to the front. Also, you could do lilypond
--verbose to see if any environment variables are incorrectly set.

Erik


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Laura Conrad
>>>>> "ES" == Erik Sandberg <[hidden email]> writes:

    >> I've done the autopackage part; what kind of shuffling would you
    >> recommend?

    ES> ~/.local/bin/ could be moved to the front.

I had to do that to run the package version at all.

    ES> Also, you could do lilypond --verbose to see if any
    ES> environment variables are incorrectly set.

I did that, and it looks like LILYPOND_DATADIR is set to
/usr/share/local instead of ~/.package/share/local, but fixing it
doesn't seem to fix the problem.  Here's my lilypond --verbose output
now:

newlily@serpent:~/music/isaac/innsbruck2$ lilypond --verbose innsbruck2
GNU LilyPond 2.6.3

LILYPOND_DATADIR="/usr/share/lilypond/2.6.3"
LILYPONDPREFIX="/home/newlily/.local/share/lilypond/2.6.3"
LOCALEDIR="/usr/share/locale"

Effective prefix: "/home/newlily/.local/share/lilypond/2.6.3"
PATH="/home/newlily/.local/bin:/home/newlily/.local/bin:/home/newlily/.local/bin:/usr/local/linuxprinter/bin:/home/newlily/.dist/bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin:/usr/local/sbin:/usr/local/bin:/usr/games:.:/home/newlily/.local/bin"
ERROR: In procedure hash-fold:
ERROR: Wrong type argument in position 3: ((#<primitive-procedure
ly:lily-parser?> . #<procedure #f ()>) (#<primitive-procedure
ly:set-point-and-click>....

Noticing that point-and-click was mentioned, I tried setting:

#(ly:set-option 'point-and-click #f)

in the lilypond file, but that didn't seem to help either.  

I don't actually think it has anything do do with my file, not only
because the same problem happens with every file I've tried including
the ones from input/test, but
because I can get the crash by just saying "lilypond --verbose" or
even "lilypond".

Is there anyone with a working 2.6.3 on Debian unstable?  And if so,
how did you get it?

--
Laura (mailto:[hidden email] , http://www.laymusic.org/ )
(617) 661-8097 fax: (501) 641-5011
233 Broadway, Cambridge, MA 02139



_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Erik Sandberg
On Friday 19 August 2005 18.42, Laura Conrad wrote:

> >>>>> "ES" == Erik Sandberg <[hidden email]> writes:
>     >> I've done the autopackage part; what kind of shuffling would you
>     >> recommend?
>
>     ES> ~/.local/bin/ could be moved to the front.
>
> I had to do that to run the package version at all.
>
>     ES> Also, you could do lilypond --verbose to see if any
>     ES> environment variables are incorrectly set.
>
> I did that, and it looks like LILYPOND_DATADIR is set to
> /usr/share/local instead of ~/.package/share/local, but fixing it
> doesn't seem to fix the problem.  Here's my lilypond --verbose output
> now:

I have no clue.. which guile version are you using?

> LILYPONDPREFIX="/home/newlily/.local/share/lilypond/2.6.3"

This line should make it work.

>
> Is there anyone with a working 2.6.3 on Debian unstable?  And if so,
> how did you get it?

I use Ubuntu, which is based on debian/unstable. Lily works without problems.

--
Erik


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Laura Conrad
>>>>> "ES" == Erik Sandberg <[hidden email]> writes:

    ES> I have no clue.. which guile version are you using?

newlily@serpent:~/music/isaac/innsbruck2$ guile --version
Guile 1.6.4
Copyright (c) 1995, 1996, 1997, 2000, 2001, 2002, 2003 Free Software Foundation
Guile may be distributed under the terms of the GNU General Public Licence;
certain other uses are permitted as well.  For details, see the file
`COPYING', which is included in the Guile distribution.
There is no warranty, to the extent permitted by law.
newlily@serpent:~/music/isaac/innsbruck2$

    >> Is there anyone with a working 2.6.3 on Debian unstable?  And if so,
    >> how did you get it?

    ES> I use Ubuntu, which is based on debian/unstable. Lily works without problems.

The thing is, 2.6.2 worked for me as well, and now that I'm having the
problems with 2.6.3 I tried reverting and that's having the same
problem now.  So my guess is it's something screwed up about my system
that ./configure and the package equivalent aren't catching.  But I'm
stumped.


--
Laura (mailto:[hidden email] , http://www.laymusic.org/ )
(617) 661-8097 fax: (501) 641-5011
233 Broadway, Cambridge, MA 02139



_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Erik Sandberg
On Friday 19 August 2005 22.02, Laura Conrad wrote:
> >>>>> "ES" == Erik Sandberg <[hidden email]> writes:
>
> The thing is, 2.6.2 worked for me as well, and now that I'm having the
> problems with 2.6.3 I tried reverting and that's having the same
> problem now.  So my guess is it's something screwed up about my system
> that ./configure and the package equivalent aren't catching.  But I'm
> stumped.

What happens if you
- globally uninstall all autopackage packages
- create another new user, and re-install the autopackage locally there?

--
Erik


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Jan Nieuwenhuizen
In reply to this post by Laura Conrad
Laura Conrad writes:


> Is there anyone with a working 2.6.3 on Debian unstable?  And if so,
> how did you get it?

I've built a new autopackage for 2.6.3 using autopackage-1.0.6, with
statically linked libstdc++ and glibc.

Please test.

Jan.

--
Jan Nieuwenhuizen <[hidden email]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Laura Conrad
>>>>> "JN" == Jan Nieuwenhuizen <[hidden email]> writes:

    JN> Laura Conrad writes:
    >> Is there anyone with a working 2.6.3 on Debian unstable?  And if so,
    >> how did you get it?

    JN> I've built a new autopackage for 2.6.3 using autopackage-1.0.6, with
    JN> statically linked libstdc++ and glibc.

    JN> Please test.

Same problem.  Log attached.





--
Laura (mailto:[hidden email] , http://www.laymusic.org/ )
(617) 661-8097 fax: (501) 641-5011
233 Broadway, Cambridge, MA 02139


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel

lily.log (15K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: 2.6.3 crashes

Jan Nieuwenhuizen
Laura Conrad writes:

>     JN> Please test.
>
> Same problem.  Log attached.

How odd.  I compiled and tested on debian/unstable.  Can you make sure
that there are no guile leftovers, and reinstall guile, or something
like that?

Jan.

--
Jan Nieuwenhuizen <[hidden email]> | GNU LilyPond - The music typesetter
http://www.xs4all.nl/~jantien       | http://www.lilypond.org


_______________________________________________
lilypond-devel mailing list
[hidden email]
http://lists.gnu.org/mailman/listinfo/lilypond-devel